=== modified file 'bzrlib/tests/workingtree_implementations/test_workingtree.py'
--- bzrlib/tests/workingtree_implementations/test_workingtree.py	2006-03-07 05:59:14 +0000
+++ bzrlib/tests/workingtree_implementations/test_workingtree.py	2006-03-07 18:41:18 +0000
@@ -499,3 +499,7 @@
         self.assertEqual([], tree.branch.revision_history())
         self.assertEqual(['bar'], tree.pending_merges())
 
+    def test_merge_modified(self):
+        tree = self.make_branch_and_tree('master')
+        tree._control_files.put('merge-hashes', StringIO('asdfasdf'))
+        self.assertRaises(errors.MergeModifiedFormatError, tree.merge_modified)

=== modified file 'bzrlib/transform.py'
--- bzrlib/transform.py	2006-02-24 21:38:10 +0000
+++ bzrlib/transform.py	2006-03-07 18:41:18 +0000
@@ -1011,8 +1011,8 @@
         return interesting_ids is None or file_id in interesting_ids
 
     tt = TreeTransform(working_tree, pb)
-    merge_modified = working_tree.merge_modified()
     try:
+        merge_modified = working_tree.merge_modified()
         trans_id = {}
         def trans_id_file_id(file_id):
             try:

=== modified file 'bzrlib/workingtree.py'
--- bzrlib/workingtree.py	2006-03-07 16:15:48 +0000
+++ bzrlib/workingtree.py	2006-03-07 18:41:18 +0000
@@ -61,7 +61,8 @@
                            WeaveRevisionNotPresent,
                            NotBranchError,
                            NoSuchFile,
-                           NotVersionedError)
+                           NotVersionedError,
+                           MergeModifiedFormatError)
 from bzrlib.inventory import InventoryEntry, Inventory
 from bzrlib.lockable_files import LockableFiles, TransportLock
 from bzrlib.merge import merge_inner, transform_tree

